%global debug_package %{nil}

%global _lto_cflags %{?_lto_cflags} -ffat-lto-objects

Name: jsoncpp
Epoch: 100
Version: 1.9.5
Release: 1%{?dist}
Summary: JSON library implemented in C++
License: MIT
URL: https://github.com/open-source-parsers/jsoncpp/tags
Source0: %{name}_%{version}.orig.tar.gz
%if 0%{?suse_version} > 1500 || 0%{?sle_version} > 150000
BuildRequires: ninja
%endif
%if 0%{?centos_version} == 700
BuildRequires: epel-rpm-macros
BuildRequires: ninja-build
%endif
%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000) && !(0%{?centos_version} == 700)
BuildRequires: ninja-build
%endif
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: meson
BuildRequires: pkgconfig

%description
jsoncpp is an implementation of a JSON (<http://json.org>) reader and
writer in C++. JSON (JavaScript Object Notation) is a lightweight
data-interchange format. It is easy for humans to read and write. It is
easy for machines to parse and generate.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%meson
(
    cd %{_vpath_builddir}
    meson configure -D b_lto=false
    meson configure -D b_lundef=false
    meson configure -D tests=false
    meson configure -D includedir=include
    ninja reconfigure
)
%meson_build

%install
%meson_install

%if 0%{?suse_version} > 1500 || 0%{?sle_version} > 150000
%package -n libjsoncpp25
Summary: Shared library for jsoncpp

%description -n libjsoncpp25
jsoncpp is an implementation of a JSON (<http://json.org>) reader and
writer in C++. JSON (JavaScript Object Notation) is a lightweight
data-interchange format. It is easy for humans to read and write. It is
easy for machines to parse and generate.

%package -n jsoncpp-devel
Summary: Development headers and library for jsoncpp
Requires: libjsoncpp25 = %{epoch}:%{version}-%{release}

%description -n jsoncpp-devel
This package contains the development headers and library for jsoncpp.

%post -n libjsoncpp25 -p /sbin/ldconfig
%postun -n libjsoncpp25 -p /sbin/ldconfig

%files -n libjsoncpp25
%license LICENSE
%{_libdir}/lib*.so.*

%files -n jsoncpp-devel
%{_includedir}/json
%{_libdir}/libjsoncpp.so
%{_libdir}/pkgconfig/jsoncpp.pc
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n jsoncpp-devel
Summary: Development headers and library for jsoncpp
Requires: jsoncpp = %{epoch}:%{version}-%{release}

%description -n jsoncpp-devel
This package contains the development headers and library for jsoncpp.

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%{_libdir}/lib*.so.*

%files -n jsoncpp-devel
%{_includedir}/json
%{_libdir}/libjsoncpp.so
%{_libdir}/pkgconfig/jsoncpp.pc
%endif

%changelog
